import { Injectable } from '@angular/core';
import { CultureInfo } from '../models/culture-info.model';

@Injectable({
  providedIn: 'root'
})
export class CultureService {
  private cultureData: { [key: number]: CultureInfo } = {
    1: {
      id: 1,
      name: '西湖醋鱼',
      origin: '杭州传统名菜',
      era: '宋代起源',
      history: '西湖醋鱼起源于南宋时期，传说与著名诗人苏轼有关。苏轼任杭州知州时，疏浚西湖，修筑苏堤。当地百姓为感谢他，特制此鱼相赠。因苏轼号东坡，故又名"东坡鱼"。',
      culture: '西湖醋鱼体现了杭州菜"清淡适中、精致典雅"的特点。其酸甜口味象征着杭州人温和包容的性格，整鱼烹制则寓意"年年有余"的传统祝福。',
      cooking: '选用西湖草鱼，经饿养1-2天去除土腥味。烹饪时讲究"七刀八片"，沸水汆熟后淋上糖醋芡汁。成菜色泽红亮，肉质鲜嫩，酸甜适口。',
      health: '热量：198千卡/100g | 蛋白质：18.6g | 脂肪：8.2g | 推荐指数：★★★★☆'
    },
    2: {
      id: 2,
      name: '清蒸鲈鱼',
      origin: '广东',
      era: '清代起源',
      history: '清蒸鲈鱼是粤菜代表作，最早可追溯至清代。因鲈鱼秋季最为肥美，成为文人墨客吟咏的对象，清代诗人袁枚在《随园食单》中详细记载了清蒸鲈鱼的烹饪方法。',
      culture: '清蒸技法体现了粤菜"清中求鲜、淡中求美"的饮食理念，追求食材本味，符合中医养生之道。',
      cooking: '选用一斤半左右的鲜活鲈鱼，去鳞洗净后，鱼身切斜刀，用盐、料酒腌制10分钟。配以姜片、葱段，大火蒸8-10分钟，淋上蒸鱼豉油和热油。',
      health: '热量：132千卡/100g | 蛋白质：19.8g | 脂肪：4.3g | 推荐指数：★★★★★'
    },
    3: {
      id: 3,
      name: '宫保鸡丁',
      origin: '四川',
      era: '清代起源',
      history: '宫保鸡丁创制于清代，由四川总督丁宝桢所创。丁宝桢曾被封为"太子少保"，人称"丁宫保"，此菜因而得名。原为贵州菜，后传入四川并改良。',
      culture: '宫保鸡丁体现了川菜"麻辣鲜香、味型多变"的特点，花生米象征"锦上添花"，整道菜红而不辣、辣而不猛，彰显中庸之道。',
      cooking: '选用鸡腿肉切丁，配以花生米、干辣椒和花椒。关键在于"小荔枝口"调味，酸甜微辣。急火快炒，保持鸡肉鲜嫩，花生酥脆。',
      health: '热量：215千卡/100g | 蛋白质：17.2g | 脂肪：12.8g | 推荐指数：★★★☆☆'
    },
    4: {
      id: 4,
      name: '上汤娃娃菜',
      origin: '广东',
      era: '清末起源',
      history: '上汤娃娃菜是粤菜经典素菜，起源于清末广州。当时西关富商讲究饮食养生，厨师用高汤烹制时令蔬菜，既保持营养又提升鲜味，逐渐成为宴席必备菜品。',
      culture: '此菜体现了粤菜"食不厌精、脍不厌细"的烹饪理念，以及"不时不食"的饮食智慧。娃娃菜形似玉如意，象征吉祥如意。',
      cooking: '精选娃娃菜心，用鸡汤、火腿、皮蛋熬制上汤。菜心焯水后浸入上汤慢煨，使其充分吸收汤汁精华，保持脆嫩口感。',
      health: '热量：78千卡/100g | 蛋白质：2.8g | 脂肪：3.2g | 推荐指数：★★★★★'
    }
  };

  getCultureInfo(dishId: number): CultureInfo {
    return this.cultureData[dishId] || null;
  }
}